Last Comment Bug 524424 - Royale Theme icons are misaligned
: Royale Theme icons are misaligned
Status: RESOLVED FIXED
: polish
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 3.0
: x86 Windows XP
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-26 00:35 PDT by [:Aureliano Buendía]
Modified: 2012-09-21 17:30 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Windows Media Center Royale Theme (57.54 KB, image/jpeg)
2009-10-26 00:35 PDT, [:Aureliano Buendía]
no flags Details
patch (1.87 KB, patch)
2012-09-16 01:58 PDT, Richard Marti (:Paenglab)
bugs: review+
bugs: ui‑review+
Details | Diff | Splinter Review
comparison (7.06 KB, image/png)
2012-09-16 01:59 PDT, Richard Marti (:Paenglab)
no flags Details

Description [:Aureliano Buendía] 2009-10-26 00:35:47 PDT
Created attachment 408337 [details]
 Windows Media Center Royale Theme   

Using the Royale theme (the default theme in Windows Media Center) on Windows XP the icons on message list are misaligned as in attached sceenshot.
Comment 1 Andreas Nilsson (:andreasn) 2009-11-03 07:24:41 PST
is there anywhere I can find the Royale Theme as a separate download to use on my vista system?

According to this article [1], if it works on Aero, it should work or Royale as well.

https://developer.mozilla.org/en/CSS::-moz-system-metric%28windows-default-theme%29
Comment 2 [:Aureliano Buendía] 2009-11-03 07:30:28 PST
I have only official Microsoft Royale theme for Windows XP that you can 
download for free here http://www.softpedia.com/get/Desktop-Enhancements/Themes/Royale-Theme-for-WinXP.shtml
Comment 3 Ludovic Hirlimann [:Usul] 2010-11-25 22:16:34 PST
Mass move to the new theme component.
Comment 4 Richard Marti (:Paenglab) 2012-09-16 01:58:14 PDT
Created attachment 661570 [details] [diff] [review]
patch

I see only the attachment icon misaligned and on the headers right a 1px to wide padding. This patch fixes this. The change in mailWindow1-aero.css is to leave the position as it is already.
Comment 5 Richard Marti (:Paenglab) 2012-09-16 01:59:40 PDT
Created attachment 661571 [details]
comparison

Comparison for easier ui-review. On top the actual state, on bottom with patch applied.
Comment 6 Andreas Nilsson (:andreasn) 2012-09-21 04:25:13 PDT
Comment on attachment 661570 [details] [diff] [review]
patch

ui-r based on screenshots (I don't have a working XP install right now) Code looks good too.
Comment 7 Ryan VanderMeulen [:RyanVM] 2012-09-21 17:30:13 PDT
https://hg.mozilla.org/comm-central/rev/63e5812c4243

Note You need to log in before you can comment on or make changes to this bug.